﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="PollChart.ascx.cs" Inherits="Custom.PollChart" %>
<div runat="server">
    <script src="http://code.highcharts.com/highcharts.js"></script>
    <script src="https://code.highcharts.com/modules/exporting.js"></script>
    <div id="pollcontainer" style="min-width: 310px; height: 400px; max-width: 600px; margin: 0 auto"></div>
    <script>
        $(function () {

            // Radialize the colors
            Highcharts.getOptions().colors = Highcharts.map(Highcharts.getOptions().colors, function (color) {
                return {
                    radialGradient: {
                        cx: 0.5,
                        cy: 0.3,
                        r: 0.7
                    },
                    stops: [
                        [0, color],
                        [1, Highcharts.Color(color).brighten(-0.3).get('rgb')] // darken
                    ]
                };
            });

            $('#pollcontainer').highcharts({
                chart: {
                    plotBackgroundColor: null,
                    plotBorderWidth: null,
                    plotShadow: false,
                    type: 'pie'
                },
                title: {
                    text: '<%= strPollName%>'
            },
            tooltip: {
                pointFormat: '{series.name}: <b>{point.percentage:.1f}%</b>'
            },
            plotOptions: {
                pie: {
                    allowPointSelect: true,
                    cursor: 'pointer',
                    dataLabels: {
                        enabled: true,
                        formatter: function () {
                            if (this.point.name.length > 20) {
                                return '<b>' + this.point.name.substring(0, 15) + '...</b> : ' + Highcharts.numberFormat(this.percentage, 1) + ' %';
                            }
                            else {
                                return '<b>' + this.point.name + '</b> : ' + Highcharts.numberFormat(this.percentage, 1) + ' %';
                            }
                        },
                        style: {
                            color: (Highcharts.theme && Highcharts.theme.contrastTextColor) || 'black'
                        },
                        connectorColor: 'silver'
                    },

                    showInLegend: <%= blnShowLegend.ToString().ToLower()%>
                }
            },
            series: [{
                name: 'Votes',
                colorByPoint: true,
                data: [<%= strPollAnswers%>]
            }]
        });
    });
    </script>
</div>
